package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.ObjEngHazaMapper;
import com.goldenwater.slaj.hazard.domain.ObjEngHaza;
import com.goldenwater.slaj.hazard.service.IObjEngHazaService;

/**
 * 危险性较大工程对象表 服务层实现
 */
@Service
public class ObjEngHazaServiceImpl implements IObjEngHazaService {

    @Autowired
    private ObjEngHazaMapper objEngHazaMapper;

    /**
     * 查询危险性较大工程对象表信息
     * @param guid 查询条件
     * @return 危险性较大工程对象表信息
     */
    @Override
    public ObjEngHaza selectObjEngHazaByGuid(String guid) {
        return objEngHazaMapper.selectObjEngHazaByGuid(guid);
    }

    /**
     * 查询危险性较大工程对象表列表
     * @param objEngHaza 危险性较大工程对象表查询条件
     * @return 危险性较大工程对象表集合
     */
    @Override
    public List<ObjEngHaza> selectObjEngHazaList(ObjEngHaza objEngHaza) {
        return objEngHazaMapper.selectObjEngHazaList(objEngHaza);
    }

    /**
     * 新增危险性较大工程对象表
     * @param objEngHaza 危险性较大工程对象表信息
     * @return 影响行数
     */
    @Override
    public int insertObjEngHaza(ObjEngHaza objEngHaza) {
        return objEngHazaMapper.insertObjEngHaza(objEngHaza);
    }

    /**
     * 修改危险性较大工程对象表
     * @param objEngHaza 危险性较大工程对象表信息
     * @return 影响行数
     */
    @Override
    public int updateObjEngHaza(ObjEngHaza objEngHaza) {
        return objEngHazaMapper.updateObjEngHaza(objEngHaza);
    }

    /**
     * 删除危险性较大工程对象表
     * @param guid 危险性较大工程对象表主键
     * @return 影响行数
     */
    @Override
    public int deleteObjEngHazaByGuid(String guid) {
        return objEngHazaMapper.deleteObjEngHazaByGuid(guid);
    }

    /**
     * 批量删除危险性较大工程对象表
     * @param guids 危险性较大工程对象表主键数组
     * @return 影响行数
     */
    @Override
    public int deleteObjEngHazaByGuids(String[] guids) {
        return objEngHazaMapper.deleteObjEngHazaByGuids(guids);
    }
}
